-- MySQL dump 10.11
--
-- Host: localhost    Database: irvoice
-- ------------------------------------------------------
-- Server version	5.0.95

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


CREATE DATABASE IF NOT EXISTS irvoice;

GRANT ALL PRIVILEGES ON irvoice.* TO 'irvoice'@'localhost' IDENTIFIED BY '1rv01c3_53cr37' WITH GRANT OPTION;
GRANT ALL PRIVILEGES ON irvoice.* TO 'irvoice'@'%' IDENTIFIED BY '1rv01c3_53cr37' WITH GRANT OPTION;

FLUSH PRIVILEGES;

USE irvoice;

--
-- Table structure for table `agents`
--

DROP TABLE IF EXISTS `agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agents` (
  `age_id` int(3) NOT NULL auto_increment,
  `age_desc` varchar(50) default NULL,
  `age_webaccess` tinyint(1) default NULL,
  `age_webuser` varchar(20) default NULL,
  `age_webpass` varchar(32) default NULL,
  `age_phone` varchar(13) default NULL,
  PRIMARY KEY  (`age_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1002 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `agents` WRITE;
/*!40000 ALTER TABLE `agents` DISABLE KEYS */;
INSERT INTO `agents` VALUES (1,'irVoice Admin',1,'irv_admin','a4a16fa9e5b46091237f83ebaa9a8eed','');
/*!40000 ALTER TABLE `agents` ENABLE KEYS */;
UNLOCK TABLES;


--
-- Table structure for table `ami_access`
--

DROP TABLE IF EXISTS `ami_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ami_access` (
  `ami_id` int(3) NOT NULL auto_increment,
  `ami_ip` varchar(15) default NULL,
  `ami_user` varchar(32) default NULL,
  `ami_pass` varchar(32) default NULL,
  PRIMARY KEY  (`ami_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `channels`
--

DROP TABLE IF EXISTS `channels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `channels` (
  `cha_id` int(11) NOT NULL auto_increment,
  `cha_desc` varchar(20) default NULL,
  `cha_type` varchar(20) default NULL,
  `cha_int_id` int(3) default NULL,
  `cha_channel` varchar(20) default NULL,
  `cha_status` tinyint(1) NOT NULL,
  `cha_smsc` varchar(25) default NULL,
  `cha_smsc_pdu` varchar(25) default NULL,
  PRIMARY KEY  (`cha_id`)
) ENGINE=MyISAM AUTO_INCREMENT=38 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contacts` (
  `con_id` int(11) NOT NULL auto_increment,
  `con_dia_id` int(11) NOT NULL,
  `con_name` varchar(30) NOT NULL,
  `con_phone` varchar(13) NOT NULL,
  `con_phone_type` varchar(4) default NULL,
  `con_datetime` datetime default NULL,
  `con_status` varchar(100) default NULL,
  `con_uniqueid` varchar(20) default NULL,
  PRIMARY KEY  (`con_id`)
) ENGINE=MyISAM AUTO_INCREMENT=120022 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dialer_channels`
--

DROP TABLE IF EXISTS `dialer_channels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dialer_channels` (
  `dic_id` int(3) NOT NULL auto_increment,
  `dic_dia_id` int(3) default NULL,
  `dic_cha_id` int(3) default NULL,
  `dic_lastjob` datetime default NULL,
  PRIMARY KEY  (`dic_id`)
) ENGINE=MyISAM AUTO_INCREMENT=63 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dialers`
--

DROP TABLE IF EXISTS `dialers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dialers` (
  `dia_id` int(11) NOT NULL auto_increment,
  `dia_type` varchar(5) default NULL,
  `dia_text` varchar(255) default NULL,
  `dia_description` varchar(40) NOT NULL,
  `dia_days` varchar(7) NOT NULL,
  `dia_timefrom` time NOT NULL,
  `dia_timeto` time NOT NULL,
  `dia_timefrom_2` time NOT NULL,
  `dia_timeto_2` time NOT NULL,
  `dia_context` varchar(20) NOT NULL,
  `dia_status` varchar(3) default NULL,
  `dia_datetime` datetime NOT NULL,
  PRIMARY KEY  (`dia_id`)
) ENGINE=MyISAM AUTO_INCREMENT=358 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `events`
--

DROP TABLE IF EXISTS `events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `events` (
  `eve_id` int(11) NOT NULL auto_increment,
  `eve_datetime` datetime NOT NULL,
  `eve_text` varchar(1000) default NULL,
  PRIMARY KEY  (`eve_id`)
) ENGINE=MyISAM AUTO_INCREMENT=223664 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `int_interfaces`
--

DROP TABLE IF EXISTS `int_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `int_interfaces` (
  `int_id` int(3) NOT NULL auto_increment,
  `int_name` varchar(20) default NULL,
  `int_type` varchar(20) default NULL,
  `int_spans` int(2) default NULL,
  `int_ami_id` int(3) default NULL,
  PRIMARY KEY  (`int_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `messages`
--

DROP TABLE IF EXISTS `messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `messages` (
  `mes_id` int(11) NOT NULL auto_increment,
  `mes_text` varchar(256) default NULL,
  `mes_datetime` datetime NOT NULL,
  `mes_phone` varchar(20) NOT NULL,
  `mes_cha_id` int(3) NOT NULL,
  PRIMARY KEY  (`mes_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1596 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping routines for database 'irvoice'
--
DELIMITER ;;
/*!50003 DROP PROCEDURE IF EXISTS `delAgent` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `delAgent`(
IN p_age_id int
)
BEGIN

          DELETE
            FROM agents
           WHERE age_id = p_age_id;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `delAmi` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `delAmi`(
IN p_ami_id int
)
BEGIN

          DELETE
            FROM ami_access
           WHERE ami_id = p_ami_id;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `delChannel` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `delChannel`(
IN p_cha_id int
)
BEGIN

          DELETE
            FROM channels
           WHERE cha_id = p_cha_id;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `delDialerChannels` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `delDialerChannels`(
IN p_dia_id int
)
BEGIN

          DELETE
            FROM dialer_channels
           WHERE dic_dia_id = p_dia_id;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `delInterface` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `delInterface`(
IN p_int_id int
)
BEGIN

          DELETE
            FROM int_interfaces
           WHERE int_id = p_int_id;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getAgent` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getAgent`(
IN p_age_id int
)
BEGIN

          SELECT
            age_id,
            age_desc,
            age_webaccess,
            age_webuser
           FROM agents
           WHERE age_id = p_age_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getAgents` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getAgents`()
BEGIN

         SELECT
            age_id,
            age_desc,
            age_webaccess,
            age_webuser,
            '******' as age_webpass,
            age_phone
         FROM agents;
END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getAmi` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getAmi`(
IN p_ami_id int
)
BEGIN

          SELECT
            ami_id,
            ami_ip,
            ami_user,
            ami_pass
           FROM ami_access
           WHERE ami_id = p_ami_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getAmis` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getAmis`()
BEGIN


SELECT
            ami_id,
            ami_ip,
            ami_user,
            ami_pass
         FROM ami_access;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getChannel` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getChannel`(
IN p_cha_id int
)
BEGIN

          SELECT
            cha_id,
            cha_desc,
            cha_type,
            cha_int_id,
            cha_channel,
            cha_status,
            cha_smsc,
            cha_smsc_pdu
           FROM channels
           WHERE cha_id = p_cha_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getchannels` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getchannels`()
BEGIN


SELECT
            cha_id,
            cha_desc,
            cha_type,
            CONCAT(int_type,'@',ami_ip) AS int_name,
            cha_channel,
            cha_status,
            cha_smsc,
            cha_smsc_pdu
         FROM channels,
              int_interfaces,
              ami_access
         WHERE cha_int_id = int_id
           AND int_ami_id = ami_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getChannelUse` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getChannelUse`()
BEGIN

      SELECT COUNT(*) as cnt,
           cha_channel
      FROM channels,
           contacts
      WHERE con_cha_id = cha_id
        AND con_datetime > CONCAT(YEAR(CURDATE()), '-',MONTH(CURDATE()),'-01')
        AND cha_type = 'SMS'
      GROUP BY cha_channel;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getContacts` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getContacts`(
p_dia_id INT
)
BEGIN

        SELECT
            con_id,
            con_name,
            con_phone,
            con_phone_type,
            con_datetime,
            con_status
          FROM contacts
         WHERE con_dia_id = p_dia_id
         ORDER BY con_status DESC, con_phone_type;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getContactsSms` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getContactsSms`(
p_dia_id INT
)
BEGIN

        SELECT
            con_id,
            con_name,
            con_phone,
            con_phone_type,
            con_datetime,
            con_status
          FROM contacts
         WHERE con_dia_id = p_dia_id
         AND LEFT(con_status,15) = 'Response: Error'
         ORDER BY con_datetime DESC;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getdialer` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getdialer`(
IN p_dia_id int
)
BEGIN

          SELECT
              dia_type,
              dia_text,
              dia_description,
              dia_days,
              dia_timefrom,
              dia_timeto,
              dia_timefrom_2,
              dia_timeto_2,
              dia_context,
              dia_status,
              dia_datetime,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id) AS dia_contacts_total,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id AND con_status IN ('Delivered','Delivering')) AS dia_contacts_answeryes,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id AND con_status = 'NoAnswer') AS dia_contacts_answerno,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id AND con_status IS NULL) AS dia_contacts_null
            FROM dialers
           WHERE dia_id = p_dia_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getDialerChannels` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getDialerChannels`(
p_dia_id INT(3)
)
BEGIN

         SELECT
            cha_id,
            cha_channel,
            CONCAT(int_type, '@', ami_ip) AS int_name,
            dic_cha_id
         FROM channels LEFT OUTER JOIN dialer_channels ON dic_cha_id = cha_id AND dic_dia_id = p_dia_id,
              int_interfaces,
              ami_access
         WHERE cha_int_id = int_id
           AND int_ami_id = ami_id;





END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getDialerMessages` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getDialerMessages`(IN `p_dia_id` INT
)
BEGIN

      SELECT DATEDIFF(con_datetime, mes_datetime),
        mes_datetime,
        mes_phone,
        con_name,
        mes_text
      FROM messages,
        contacts
      WHERE mes_phone LIKE CONCAT('%',con_phone)
      AND con_dia_id = p_dia_id
      AND DATEDIFF(con_datetime, mes_datetime) < 7
      ORDER BY mes_datetime DESC;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getdialers` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getdialers`()
BEGIN


CREATE TEMPORARY TABLE tempOK (tok_cnt int(11) NOT NULL, tok_con_dia_id int(11));
CREATE TEMPORARY TABLE tempWO (two_cnt int(11) NOT NULL, two_con_dia_id int(11));
CREATE TEMPORARY TABLE temp (
  tmp_cnt int(11),
  tmp_dia_id int(11),
  tmp_dia_type varchar(10),
  tmp_dia_text varchar(255),
  tmp_dia_description varchar(40),
  tmp_dia_days varchar(7),
  tmp_dia_timefrom time,
  tmp_dia_timeto time,
  tmp_dia_timefrom_2 time,
  tmp_dia_timeto_2 time,
  tmp_dia_context varchar(20),
  tmp_dia_status varchar(3),
  tmp_dia_datetime datetime
);


INSERT INTO tempOK
 SELECT COUNT(*), con_dia_id
    FROM contacts WHERE (con_datetime IS NOT NULL AND con_status IS NOT NULL)
     OR (con_datetime IS NULL AND con_status = 'Dialing')
 GROUP BY con_dia_id;

INSERT INTO tempWO
 SELECT COUNT(*), con_dia_id
    FROM contacts
    WHERE con_datetime IS NULL
    AND con_status IS NULL
 GROUP BY con_dia_id;

INSERT INTO temp
SELECT COUNT(*),
        dia_id,
        dia_type,
        dia_text,
        dia_description,
        dia_days,
        dia_timefrom,
        dia_timeto,
        dia_timefrom_2,
        dia_timeto_2,
        dia_context,
        dia_status,
        dia_datetime
 FROM dialers,
      contacts C
WHERE dia_id = con_dia_id
GROUP BY con_dia_id
ORDER BY dia_datetime DESC
LIMIT 0,30;

SELECT
            tmp_dia_id as dia_id,
            tmp_dia_type as dia_type,
            tmp_dia_text as dia_text,
            tmp_dia_description as dia_description,
            tmp_dia_days as dia_days,
            LEFT(tmp_dia_timefrom,5) AS dia_timefrom,
            LEFT(tmp_dia_timeto,5) AS dia_timeto,
            LEFT(tmp_dia_timefrom_2,5) AS dia_timefrom_2,
            LEFT(tmp_dia_timeto_2,5) AS dia_timeto_2,
            tmp_dia_context as dia_context,
            tmp_dia_status as dia_status,
            tmp_dia_datetime as dia_datetime,
            ifnull(tok_cnt,0) AS cntOk,
            ifnull(two_cnt,0) AS cntWo,
            ifnull(tmp_cnt,0) AS cntTot
         FROM temp
              LEFT OUTER JOIN tempOK on tmp_dia_id = tok_con_dia_id
              LEFT OUTER JOIN tempWO on tmp_dia_id = two_con_dia_id
        ORDER BY tmp_dia_datetime DESC;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getDialersExpired` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getDialersExpired`()
BEGIN

        SELECT
            dia_id
         FROM dialers
        WHERE dia_status = 'WOR'
          AND (
                  dia_days NOT LIKE CONCAT('%',DAYOFWEEK(CURDATE()),'%')
               OR ( CURTIME() NOT BETWEEN dia_timefrom AND dia_timeto
                    AND
                    CURTIME() NOT BETWEEN dia_timefrom_2 AND dia_timeto_2 )
              );

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getDialerSms` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getDialerSms`(
IN p_dia_id int
)
BEGIN

          SELECT
              dia_text,
              dia_description,
              dia_status,
              dia_datetime,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id) AS dia_contacts_total,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id AND substr(con_status,1,instr(con_status,' ID')) IN ('Response: Success')) AS dia_contacts_ok,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id AND substr(con_status,1,instr(con_status,' ID')) IN ('Response: Error')) AS dia_contacts_ko,
              (SELECT COUNT(*) FROM contacts WHERE con_dia_id = dia_id AND con_status IS NULL) AS dia_contacts_null

            FROM dialers
           WHERE dia_id = p_dia_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getDialerStats` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getDialerStats`(
p_dia_id INT
)
BEGIN

    SELECT COUNT(*) AS cnt,
         con_status
    FROM contacts
    WHERE con_dia_id = p_dia_id
    GROUP BY con_status
    ORDER BY 1 DESC;
       
END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getDialerWaiting` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getDialerWaiting`()
BEGIN

   DECLARE p_dia_id int;


    SELECT dia_id INTO p_dia_id
     FROM dialers
    WHERE dia_days LIKE CONCAT('%',DAYOFWEEK(CURDATE()),'%')
      AND (CURTIME() BETWEEN dia_timefrom AND dia_timeto
            OR CURTIME() BETWEEN dia_timefrom_2 AND dia_timeto_2)
      AND  dia_status = 'WAI'
    ORDER BY dia_datetime LIMIT 0,1;

    IF p_dia_id IS NOT NULL THEN

        CALL irvoice.setDialerStatus(p_dia_id, 'WOR');

        SELECT dia_id,
               dia_type,
               dia_status,
               cha_channel,
               cha_smsc_pdu
          FROM dialers,
               dialer_channels,
               channels
         WHERE dia_id = dic_dia_id
           AND dic_cha_id = cha_id
           AND dia_id = p_dia_id;
    END IF;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getInterface` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getInterface`(
IN p_int_id int
)
BEGIN

          SELECT
            int_id,
            int_name,
            int_type,
            int_spans,
            int_ami_id,
            ami_ip
         FROM int_interfaces,
              ami_access
         WHERE int_ami_id = ami_id
           AND int_id = p_int_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getInterfaces` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getInterfaces`()
BEGIN


SELECT
            int_id,
            int_name,
            int_type,
            int_spans,
            int_ami_id,
            ami_ip
         FROM int_interfaces,
              ami_access
         WHERE int_ami_id = ami_id;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getLogin` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getLogin`(
  IN p_use_id varchar(15),
  IN p_use_pass varchar(32)
)
BEGIN


      SELECT age_webuser,
             age_id
        FROM agents
       WHERE age_webaccess IS TRUE
         AND age_webuser = p_use_id
         AND age_webpass = md5(p_use_pass);


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getmessages` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getmessages`()
BEGIN

      SELECT
        mes_id,
        mes_text,
        TIME_TO_SEC(TIMEDIFF(NOW(),mes_datetime)) as seconds,
        mes_datetime,
        mes_phone,
        mes_cha_id,
        cha_channel
       FROM messages, channels
      WHERE mes_cha_id = cha_id
      ORDER BY mes_datetime DESC;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getnewcall` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getnewcall`(
IN p_dia_id int
)
BEGIN

   DECLARE p_con_id int;
   DECLARE p_count int;

   SELECT COUNT(*) INTO p_count
     FROM dialer_channels
   WHERE dic_dia_id = p_dia_id
     AND TIME_TO_SEC(TIMEDIFF(NOW(),dic_lastjob)) > 15;

   IF p_count > 0 THEN

      UPDATE dialer_channels
         SET dic_lastjob = NOW()
      WHERE dic_dia_id = p_dia_id
        AND TIME_TO_SEC(TIMEDIFF(NOW(),dic_lastjob)) > 15
      ORDER BY dic_lastjob LIMIT 1;

      SELECT
           con_id INTO p_con_id
        FROM contacts,
             dialers
       WHERE con_dia_id = dia_id
         AND dia_id = p_dia_id
         AND con_status IS NULL
         ORDER BY RAND() LIMIT 0,1;

      UPDATE contacts
         SET con_status = 'WIP'
      WHERE con_id = p_con_id;


      SELECT
           'OK' AS msg,
           dia_status,
           dia_text,
           con_id,
           con_name,
           con_phone,
           cha_channel,
           int_type,
           int_ami_id
        FROM contacts,
             dialers,
             dialer_channels,
             channels,
             int_interfaces
       WHERE con_dia_id = dia_id
         AND dic_dia_id = dia_id
         AND cha_id = dic_cha_id
         AND cha_int_id = int_id
         AND dia_id = p_dia_id
         AND con_id = p_con_id
         AND cha_status = True
         ORDER BY dic_lastjob DESC
         LIMIT 0,1;
   ELSE
      SELECT 'BUSY' AS msg;
   END IF;


END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `getOutboundStatisticsHour_tmp_SMS` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `getOutboundStatisticsHour_tmp_SMS`(
  IN p_channel varchar(50)
)
BEGIN

     SELECT CONCAT('(',dia_type,') ',dia_description) AS chan,
         COUNT(*) AS cnt,
         HOUR(con_datetime) AS hour
       FROM contacts, dialers
      WHERE dia_id = con_dia_id
        AND DATE(con_datetime) = DATE(NOW())
        AND dia_type = 'SMS'
   GROUP BY chan,hour
   ORDER BY cnt DESC;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setAgent` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setAgent`(
IN p_action varchar(1),
IN p_age_id int(3),
IN p_age_desc varchar(50),
IN p_age_webaccess tinyint(1),
IN p_age_webuser varchar(20),
IN p_age_webpass varchar(20),
IN p_age_phone varchar(13)
)
BEGIN

    IF p_action = 'I' THEN

        INSERT INTO agents
            (
            age_id,
              age_desc,
              age_webaccess,
              age_webuser,
              age_webpass,
              age_phone
            )
            VALUES
            (
              null,
              p_age_desc,
              p_age_webaccess,
              p_age_webuser,
              md5(p_age_webpass),
              p_age_phone
            );

    ELSE

        UPDATE agents
           SET
              age_desc = p_age_desc,
              age_webaccess = p_age_webaccess,
              age_webuser = p_age_webuser,
              age_phone = p_age_phone
         WHERE age_id = p_age_id;

        SELECT p_age_id AS age_id;

    END IF;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setAmi` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setAmi`(IN `p_ami_id` int(3), IN `p_ami_ip` varchar(15), IN `p_ami_user` varchar(32), IN `p_ami_pass` varchar(32)
)
BEGIN
	 DECLARE c int;
	 DECLARE RESULT varchar(1);
	 SELECT COUNT(*) into c FROM ami_access WHERE ami_ip = p_ami_ip;
	 IF c>0
	 THEN
	 	SELECT 'N' as RESULT;
	 ELSE
	    IF p_ami_pass = '******' THEN
	       SET p_ami_pass = NULL;
	    END IF;
		 
		 SELECT 'S' as RESULT;	
	    IF p_ami_id = '' THEN
	
	        INSERT INTO ami_access
	            (
	              ami_id,
	              ami_ip,
	              ami_user,
	              ami_pass
	            )
	            VALUES
	            (
	              NULL,
	              p_ami_ip,
	              p_ami_user,
	              p_ami_pass
	            );
	
	        SELECT
	            MAX(ami_id) as ami_id
	          FROM ami_access;
	
	    ELSE
	
	        UPDATE ami_access
	           SET
	              ami_ip = p_ami_ip,
	              ami_user = p_ami_user,
	              ami_pass = IFNULL(p_ami_pass,ami_pass)
	         WHERE ami_id = p_ami_id;
	
	        SELECT p_ami_id AS ami_id;
	
	    END IF;
	END IF;
END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setchannel` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setchannel`(IN `p_cha_id` decimal(3,0), IN `p_cha_desc` varchar(20), IN `p_cha_type` varchar(20), IN `p_cha_int_id` int(3), IN `p_cha_channel` varchar(20), IN `p_cha_status` tinyint(1), IN `p_cha_smsc` varchar(25), IN `p_cha_smsc_pdu` varchar(25)
)
BEGIN
	 DECLARE c int;
	 DECLARE RESULT varchar(1);
	 SELECT COUNT(*) into c FROM channels WHERE cha_int_id = p_cha_int_id AND cha_channel = p_cha_channel;
	 IF c>0
	 THEN
	 	SELECT 'N' as RESULT;
	 ELSE
	    SELECT 'S' as RESULT;
	    IF p_cha_id = '' THEN
	
	        INSERT INTO channels
	            (
	              cha_id,
	              cha_desc,
	              cha_type,
	              cha_int_id,
	              cha_channel,
	              cha_status,
	              cha_smsc,
	              cha_smsc_pdu
	            )
	            VALUES
	            (
	              NULL,
	              p_cha_desc,
	              p_cha_type,
	              p_cha_int_id,
	              p_cha_channel,
	              p_cha_status,
	              p_cha_smsc,
	              p_cha_smsc_pdu
	            );
	
	        SELECT
	            MAX(cha_id) as cha_id
	          FROM channels;
	
	    ELSE
	
	        UPDATE channels
	           SET
	              cha_desc = p_cha_desc,
	              cha_type = p_cha_type,
	              cha_int_id = p_cha_int_id,
	              cha_channel = p_cha_channel,
	              cha_status = p_cha_status,
	              cha_smsc = p_cha_smsc,
	              cha_smsc_pdu = p_cha_smsc_pdu
	         WHERE cha_id = p_cha_id;
	
	        SELECT p_cha_id AS cha_id;
	
	    END IF;
	END IF;
END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setContact` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setContact`(
IN p_dia_id int,
IN p_con_name varchar(30),
IN p_con_phone varchar(13)
)
BEGIN


          SET @v_con_id = NULL;

          SELECT con_id
            INTO @v_con_id
            FROM contacts
           WHERE con_dia_id = p_dia_id
             AND con_phone = p_con_phone;


          IF @v_con_id IS NULL THEN
              INSERT INTO contacts
                (
                  con_dia_id,
                  con_name,
                  con_phone,
                  con_phone_type,
                  con_datetime,
                  con_status,
                  con_uniqueid
                )
              VALUES
                (
                  p_dia_id,
                  p_con_name,
                  p_con_phone,
                  'SMS',
                  NULL,
                  NULL,
                  NULL
                );
          ELSE
              UPDATE contacts
                 SET con_name = p_con_name,
                     con_phone_type = 'SMS'
               WHERE con_id = @v_con_id
                 AND con_phone = p_con_phone;
          END IF;



END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setcontactstatus` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setcontactstatus`(
IN p_con_id int,
IN p_con_status varchar(35)
)
BEGIN

      IF p_con_status = 'NULL' THEN
         SET p_con_status = NULL;
      END IF;

      UPDATE contacts
         SET con_datetime = NOW(),
             con_status = p_con_status
       WHERE con_id = p_con_id;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setContactStatusDongle` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setContactStatusDongle`(
IN p_device varchar(15),
IN p_idx varchar(15),
IN p_con_status varchar(35)
)
BEGIN

      IF p_con_status = 'NULL' THEN
         SET p_con_status = NULL;
      END IF;

      UPDATE contacts
         SET con_datetime = NOW(),
             con_status = p_con_status
       WHERE con_status like CONCAT('WIP.', p_device, '.', p_idx, '%');

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setdialer` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setdialer`(
IN p_dia_id int,
IN p_dia_type varchar(10),
IN p_dia_text varchar(255),
IN p_dia_description varchar(40),
IN p_dia_days varchar(7),
IN p_dia_timefrom varchar(5),
IN p_dia_timeto varchar(5),
IN p_dia_timefrom_2 varchar(5),
IN p_dia_timeto_2 varchar(5)
)
BEGIN

    IF p_dia_id = '' THEN

        INSERT INTO dialers
            (
              dia_type,
              dia_text,
              dia_description,
              dia_days,
              dia_timefrom,
              dia_timeto,
              dia_timefrom_2,
              dia_timeto_2,
              dia_context,
              dia_status,
              dia_datetime
            )
            VALUES
            (
              p_dia_type,
              p_dia_text,
              p_dia_description,
              p_dia_days,
              concat(p_dia_timefrom,':00'),
              concat(p_dia_timeto,':00'),
              concat(p_dia_timefrom_2,':00'),
              concat(p_dia_timeto_2,':00'),
              'dialer',
              'PAU',
              now()
            );

        SELECT
            MAX(dia_id) as dia_id
          FROM dialers;

    ELSE

        UPDATE dialers
           SET
              dia_type = p_dia_type,
              dia_text = p_dia_text,
              dia_description = p_dia_description,
              dia_days = p_dia_days,
              dia_timefrom = concat(p_dia_timefrom,':00'),
              dia_timefrom_2 = concat(p_dia_timefrom_2,':00'),
              dia_timeto = concat(p_dia_timeto,':00'),
              dia_timeto_2 = concat(p_dia_timeto_2,':00'),
              dia_datetime = now()
         WHERE dia_id = p_dia_id;

        SELECT p_dia_id AS dia_id;

    END IF;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setDialerChannel` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setDialerChannel`(
IN p_dia_id int,
IN p_cha_id int
)
BEGIN


        INSERT INTO dialer_channels
            (
              dic_id,
              dic_dia_id,
              dic_cha_id,
              dic_lastjob
            )
            VALUES
            (
              NULL,
              p_dia_id,
              p_cha_id,
              NOW()
            );

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setDialerStatus` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setDialerStatus`(
IN p_dia_id int,
IN p_dia_status varchar(3)
)
BEGIN


DECLARE v_calls_total INT;
DECLARE v_cnt_wo INT;
DECLARE v_calls_answeryes INT;
DECLARE v_calls_answerno INT;
DECLARE v_cnt INT DEFAULT 0;



      IF p_dia_status = 'WAI' THEN  


            
            SELECT COUNT(*)
              INTO v_cnt_wo
              FROM contacts
             WHERE con_dia_id = p_dia_id
               AND con_status IS NULL
               AND con_datetime IS NULL;

            IF v_cnt_wo = 0 THEN
                
                UPDATE contacts
                   SET con_status = NULL,
                       con_datetime = NULL,
                       con_cha_id = NULL
                 WHERE con_dia_id = p_dia_id
                   AND con_status IN ('NoAnswer','_NOANSWER','CONGESTION');
            END IF;

            
            SELECT COUNT(*)
              INTO v_calls_total
              FROM contacts
             WHERE con_dia_id = p_dia_id
               AND con_status IS NULL
               AND con_datetime IS NULL;

      END IF;

      UPDATE dialers
         SET dia_status = p_dia_status
       WHERE dia_id = p_dia_id;

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setevent` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setevent`(
IN p_eve_text varchar(1000)
)
BEGIN

        INSERT INTO events
            (
              eve_id,
              eve_datetime,
              eve_text
            )
            VALUES
            (
              NULL,
              NOW(),
              p_eve_text
            );

END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setinterface` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setinterface`(IN `p_int_id` int(3), IN `p_int_name` varchar(20), IN `p_int_type` varchar(20), IN `p_int_spans` int(2), IN `p_int_ami_id` int(3)
)
BEGIN
	 DECLARE c int;
	 DECLARE RESULT varchar(1);
	 SELECT COUNT(*) into c FROM int_interfaces WHERE int_type = p_int_type AND int_ami_id = p_int_ami_id;
	 IF c>0
	 THEN
	 	SELECT 'N' as RESULT;
	 ELSE
	    SELECT 'S' as RESULT;
		 IF p_int_id = '' THEN			  
	        INSERT INTO int_interfaces
	            (
	              int_id,
	              int_name,
	              int_type,
	              int_spans,
	              int_ami_id
	            )
	            VALUES
	            (
	              NULL,
	              p_int_name,
	              p_int_type,
	              p_int_spans,
	              p_int_ami_id
	            );
	
	        SELECT
	            MAX(int_id) as int_id
	          FROM int_interfaces;
	
	    ELSE
	
	        UPDATE int_interfaces
	           SET
	              int_name = p_int_name,
	              int_type = p_int_type,
	              int_spans = p_int_spans,
	              int_ami_id = p_int_ami_id
	         WHERE int_id = p_int_id;
	
	        SELECT p_int_id AS int_id;
	
	    END IF;
   END IF;
END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setmessage` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setmessage`(
IN p_mes_text varchar(256),
IN p_mes_phone varchar(20),
IN p_cha_channel varchar(20),
IN p_ami_id varchar(20)
)
BEGIN

        SET @v_cha_id = NULL;

        SELECT cha_id
          INTO @v_cha_id
          FROM channels,
               int_interfaces
         WHERE cha_channel = p_cha_channel
           AND cha_int_id = int_id
           AND int_ami_id = p_ami_id;

        INSERT INTO messages
            (
              mes_id,
              mes_text,
              mes_datetime,
              mes_phone,
              mes_cha_id
            )
            VALUES
            (
              NULL,
              p_mes_text,
              NOW(),
              p_mes_phone,
              @v_cha_id
            );
END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
/*!50003 DROP PROCEDURE IF EXISTS `setPassword` */;;
/*!50003 SET SESSION SQL_MODE=""*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 PROCEDURE `setPassword`(
IN p_age_id int(3),
IN p_pass1 varchar(20),
IN p_pass2 varchar(20),
IN p_pass3 varchar(20)
)
BEGIN

  DECLARE v_res varchar(120);
  
  IF (p_pass2 != p_pass3) THEN
   SET v_res = 'New password are not the same';
  ELSE
    UPDATE agents
        SET age_webpass = md5(p_pass2)
       WHERE age_id = p_age_id
        AND age_webpass = md5(p_pass1);
        
    IF ROW_COUNT() = 0 THEN
      SET v_res = 'An error occured, check the input data';
    END IF;

    IF ROW_COUNT() = 1 THEN
      SET v_res = 'Password succesfully updated.';
    END IF;
  END IF;

  SELECT v_res as res;
END */;;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE*/;;
DELIMITER ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-11-10 11:00:18
